Loading...
Searching...
No Matches
BALL::VIEW::ResidueTypeColorProcessor Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/standardColorProcessor.h>`

Inheritance diagram for BALL::VIEW::ResidueTypeColorProcessor:

## Public Member Functions

| ResidueTypeColorProcessor ()
virtual void | getColor (const Composite &composite, ColorRGBA &color_to_be_set)
void | setBasicColor (const ColorRGBA &color)
void | setAcidicColor (const ColorRGBA &color)
void | setPolarColor (const ColorRGBA &color)
void | setHydrophobicColor (const ColorRGBA &color)
void | setAromaticColor (const ColorRGBA &color)
void | setOtherColor (const ColorRGBA &color)
const ColorRGBA & | getBasicColor () const
const ColorRGBA & | getAcidicColor () const
const ColorRGBA & | getPolarColor () const
const ColorRGBA & | getHydrophobicColor () const
const ColorRGBA & | getAromaticColor () const
const ColorRGBA & | getOtherColor () const
virtual void | setTransparency (Size t)
Public Member Functions inherited from BALL::VIEW::ColorProcessor
| ColorProcessor ()
| Default Constructor.
| ColorProcessor (const ColorProcessor &color_calculator)
| Copy constructor.
virtual | ~ColorProcessor ()
| Destructor.
virtual void | clear ()
void | set (const ColorProcessor &color_calculator)
| Assignment.
virtual bool | start ()
const ColorProcessor & | operator= (const ColorProcessor &color_calculator)
bool | updateAlwaysNeeded ()
void | setDefaultColor (const ColorRGBA &color)
const ColorRGBA & | getDefaultColor () const
virtual Processor::Result | operator() (GeometricObject *&object)
Size | getTransparency () const
void | setComposites (const std::list< const Composite * > *composites)
const std::list< const Composite * > * | getComposites ()
| Return a pointer to the Composites.
void | clearAtomGrid ()
void | setAdditionalGridDistance (float distance)
float | getAdditionalGridDistance () const
void | setMinGridSpacing (float spacing)
AtomGrid & | getAtomGrid ()
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setModelType (ModelType type)
virtual void | createAtomGrid (const Composite *from_mesh=0)
const Atom * | getClosestItem (const Vector3 &v) const
Public Member Functions inherited from BALL::UnaryProcessor< GeometricObject * >
| UnaryProcessor ()
virtual | ~UnaryProcessor ()
virtual bool | finish ()
virtual Processor::Result | operator() (GeometricObject *&)

## Additional Inherited Members

Public Types inherited from BALL::VIEW::ColorProcessor
typedef HashSet< const Composite * > | CompositeSet
| A HashSet with the used Composites, see also Representation.
typedef HashGrid3< const Atom * > | AtomGrid
| a threedimensioal grid with the pointers to the atoms
typedef HashGridBox3< const Atom * > | AtomBox
| a single box in the threedimensional grid
Public Types inherited from BALL::UnaryFunctor< GeometricObject *, Processor::Result >
typedef Processor::Result | result_type
typedef GeometricObject * | argument_type
typedef GeometricObject *& | argument_reference
typedef const GeometricObject *& | const_argument_reference
typedef GeometricObject ** | argument_pointer
typedef const GeometricObject ** | const_argument_pointer
Protected Member Functions inherited from BALL::VIEW::ColorProcessor
virtual void | colorMeshFromGrid_ (Mesh &mesh)
Protected Attributes inherited from BALL::VIEW::ColorProcessor
bool | update_always_needed_
ColorRGBA | default_color_
ColorRGBA | selection_color_
Size | transparency_
const std::list< const Composite * > * | composites_
AtomGrid | atom_grid_
ModelType | model_type_
const Composite * | last_composite_of_grid_
float | additional_grid_distance_
float | min_spacing_

## Detailed Description

Coloring by the type of a Residue

Definition at line 546 of file standardColorProcessor.h.

## Constructor & Destructor Documentation

## ResidueTypeColorProcessor()

BALL::VIEW::ResidueTypeColorProcessor::ResidueTypeColorProcessor | ( |  | ) |

## Member Function Documentation

## getAcidicColor()

const ColorRGBA & BALL::VIEW::ResidueTypeColorProcessor::getAcidicColor | ( |  | ) | const

## getAromaticColor()

const ColorRGBA & BALL::VIEW::ResidueTypeColorProcessor::getAromaticColor | ( |  | ) | const

## getBasicColor()

const ColorRGBA & BALL::VIEW::ResidueTypeColorProcessor::getBasicColor | ( |  | ) | const

## getColor()

virtual void BALL::VIEW::ResidueTypeColorProcessor::getColor | ( | const Composite & | composite,
|  | ColorRGBA & | color_to_be_set )

virtual

Calculate a color for a Composite. The given ColorRGBA instance is set to the calculated color. This method is called by the operator() method. Here it just sets the default color. You have to overload this operator in derived classes.

Reimplemented from BALL::VIEW::ColorProcessor.

## getHydrophobicColor()

const ColorRGBA & BALL::VIEW::ResidueTypeColorProcessor::getHydrophobicColor | ( |  | ) | const

## getOtherColor()

const ColorRGBA & BALL::VIEW::ResidueTypeColorProcessor::getOtherColor | ( |  | ) | const

## getPolarColor()

const ColorRGBA & BALL::VIEW::ResidueTypeColorProcessor::getPolarColor | ( |  | ) | const

## setAcidicColor()

void BALL::VIEW::ResidueTypeColorProcessor::setAcidicColor | ( | const ColorRGBA & | color | ) |

## setAromaticColor()

void BALL::VIEW::ResidueTypeColorProcessor::setAromaticColor | ( | const ColorRGBA & | color | ) |

## setBasicColor()

void BALL::VIEW::ResidueTypeColorProcessor::setBasicColor | ( | const ColorRGBA & | color | ) |

## setHydrophobicColor()

void BALL::VIEW::ResidueTypeColorProcessor::setHydrophobicColor | ( | const ColorRGBA & | color | ) |

## setOtherColor()

void BALL::VIEW::ResidueTypeColorProcessor::setOtherColor | ( | const ColorRGBA & | color | ) |

## setPolarColor()

void BALL::VIEW::ResidueTypeColorProcessor::setPolarColor | ( | const ColorRGBA & | color | ) |

## setTransparency()

virtual void BALL::VIEW::ResidueTypeColorProcessor::setTransparency | ( | Size | value | ) |

virtual

Set the transparency. To be overloaded in derived classes

Reimplemented from BALL::VIEW::ColorProcessor.